using System;


namespace ConsoleApp4
{
    class Program
    {
        static void Main(
            )
        { 
            string a = Console.ReadLine();
            string b = Console.ReadLine();
            string c = Console.ReadLine();
            string max = a + b + c;
            string b1 = a + c + b;
            string b2 = b + a + c;
            string b3 = b + c + a;
            string b4 = c + a + b;
            string b5 = c + b + a;
            string[] niz = new string[5] { b1, b2, b3 ,b4, b5 };
            for(int i = 0; i < 5; i++)
            {
                if (ulong.Parse(max) <ulong.Parse(niz[i]))
                    max = niz[i];
            }
            Console.WriteLine(max);

        }
    }
}